Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.configuration.metadata
Class AuditTableData

    java.lang.Object
      org.hibernate.envers.configuration.metadata.AuditTableData

    public class AuditTableData

extends Object

Holds information necessary to create an audit table: its name, schema and catalog, as well as the audit entity name.

Constructor Summary
`AuditTableData(String auditEntityName, String auditTableName, String schema, String catalog)`

Method Summary
`String` | `getAuditEntityName()`
`String` | `getAuditTableName()`
`String` | `getCatalog()`
`String` | `getSchema()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuditTableData

    public AuditTableData(String auditEntityName,
                          String auditTableName,
                          String schema,
                          String catalog)

Method Detail

### getAuditEntityName

    public String getAuditEntityName()

### getAuditTableName

    public String getAuditTableName()

### getSchema

    public String getSchema()

### getCatalog

    public String getCatalog()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.